<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the accounts creation page.
 *
 * @link       https://makewebbetter.com
 * @since      1.0.0
 *
 * @package    Mwb_Cf7_Integration_With_Zoho
 * @subpackage Mwb_Cf7_Integration_With_Zoho/admin/partials/templates
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>
<div class="mwb_zcf7__feeds-wrap">
	<div class="mwb-zcf7__logo-wrap">
		<div class="mwb-zcf7__logo-zoho">
			<img src="<?php echo esc_url( ZOHO_CF7_INTEGRATION_URL . 'admin/images/zoho-logo.png' ); ?>" alt="<?php esc_html_e( 'Zoho', 'mwb-cf7-integration-with-zoho' ); ?>">
		</div>
		<div class="mwb-zcf7__logo-contact">
			<img src="<?php echo esc_url( ZOHO_CF7_INTEGRATION_URL . 'admin/images/contact-form.svg' ); ?>" alt="<?php esc_html_e( 'Zoho', 'mwb-cf7-integration-with-zoho' ); ?>">
		</div>
	</div>

	<div class="mwb-zcf7__feeds-form mwb-zcf7__expand-wrap">
		<div id="mwb-zcf7__form-title" class="mwb-zcf7__form-title">
			<h2><?php esc_html_e( 'Form', 'mwb-cf7-integration-with-zoho' ); ?></h2>
			<div id="mwb-zcf7__form-expand" class="mwb-zcf7__expand-icon">
				<span class="mwb-zcf7__expand-open-icon"></span>
				<span class="mwb-zcf7__expand-close-icon"></span>
			</div>
		</div>
		<div class="mwb-zcf7__form-group-wrap">
			<div class="mwb-zcf7__form-group">
				<div class="mwb-zcf7__label">
					<label><?php esc_html_e( 'Select Form', 'mwb-cf7-integration-with-zoho' ); ?></label>
				</div>
				<div class="mwb-zcf7__fields-wrap">
					<div class="mwb-zcf7__fields">
					<?php $forms = Mwb_Cf7_Integration_With_Zoho_Helper::get_contact_forms(); ?>
						<select name="crm_form" id="mwb_zcf7_select_form" >
							<option value="-1"><?php esc_html_e( 'Select Form', 'mwb-cf7-integration-with-zoho' ); ?></option>
							<optgroup label="<?php esc_html_e( 'Contact Form 7', 'mwb-cf7-integration-with-zoho' ); ?>">
								<?php if ( ! empty( $forms ) && is_array( $forms ) ) : ?>
									<?php foreach ( $forms as $key => $value ) : ?>
										<option value="<?php echo esc_html( $value->ID ); ?>"><?php echo esc_html( $value->post_title ); ?></option>
									<?php endforeach; ?>
								<?php endif; ?>
							</optgroup>
						</select>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="mwb-zcf7__feeds-object mwb-zcf7__expand-wrap">
		<div id="mwb-zcf7__object-title" class="mwb-zcf7__object-title">
			<h2><?php esc_html_e( 'Object', 'mwb-cf7-integration-with-zoho' ); ?></h2>
			<div id="mwb-zcf7__objects-expand" class="mwb-zcf7__expand-icon">
				<span class="mwb-zcf7__expand-open-icon"></span>
				<span class="mwb-zcf7__expand-close-icon"></span>
			</div>
		</div>
		<div class="mwb-zcf7__form-group-wrap">
			<div class="mwb-zcf7__form-group">
				<div class="mwb-zcf7__label">
					<label><?php esc_html_e( 'Select Object', 'mwb-cf7-integration-with-zoho' ); ?></label>
				</div>
				<div class="mwb-zcf7__fields-wrap">
					<div class="mwb-zcf7__fields">
					<?php
						$modules = new Mwb_Cf7_Integration_With_Zoho_Helper();
						$object  = $modules->get_modules();
					?>
						<select name="crm_object" id="mwb_zcf7_object_select">
							<option value="-1"><?php esc_html_e( 'Select Object', 'mwb-cf7-integration-with-zoho' ); ?></option>
							<?php if ( false != $object && is_array( $object ) ) : // @codingStandardsIgnoreLine ?>
								<?php foreach ( $object as $key => $value ) : ?>
									<option value="<?php echo esc_html( $key ); ?>"><?php echo esc_html( $value ); ?></option>
								<?php endforeach; ?>
							<?php endif; ?>
						</select>
					</div>
					<div class="mwb-zcf7__fields-btn">
						<a class="button refresh-object" id="mwb_zcf7_refresh_object"><?php esc_html_e( 'Refresh Objects', 'mwb-cf7-integration-with-zoho' ); ?></a>
						<a class="button refresh-fields"><?php esc_html_e( 'Refresh Fields', 'mwb-cf7-integration-with-zoho' ); ?></a>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
